package com.cleanmaster.ui.msgdistrub;
// Declare any non-default types here with import statements

import com.cleanmaster.ui.msgdistrub.CMStatusBarNotification;
import com.cleanmaster.ui.msgdistrub.INotificationChangeListener;
import com.cleanmaster.ui.msgdistrub.entity.CMNotifyBean;
import com.cleanmaster.ui.msgdistrub.CMNotifyBeanWrapper;

//防打扰通知栏服务
interface INotificationManagerService {
    List<String> getWhiteList();
    boolean removeWhiteList(String pkgName);
    boolean addWhiteList(String pkgName);
    void refreshCloudWhiteList();
    List<String> getUserWhiteList();
    List<String> getUserBlackList();


    //打开或关闭防打扰通知栏
    void setNotificationDisturbEnable(boolean bEnable);
    void blockAllNotifications();
    void releaseAllNotifications();
    void blockNotification(String pkg);
    void releaseNotification(String pkg);
    void cancelNotification(in CMStatusBarNotification sbn);

    //容器数据处理
    void clearAllArrestedNotifications(int type);
    void removeArrestedNotification(in CMNotifyBean source,int type,boolean bNeedCallback);
    void addArrestedNotification(in CMStatusBarNotification csbn,int type);
    CMNotifyBeanWrapper getAllArrestedNotifications(int index,int max,long token,boolean getAll,int type);
    void setOnNotificationChangeListener(INotificationChangeListener listener);
    void replaceArrestedNotification(in CMNotifyBean source,in CMStatusBarNotification target);
    void unBindNotificationChangeListener();
    int getArrestedListSize(int type);

    void removeModelByPolicyIfNeeded(int num);
}
